#!/bin/sh

set -x

read=yes
if [ $# -ge 1 ]; then
    read=""
fi

for addr in $(seq 1 64); do
    ip=2001:db8:42::$addr
    echo "Next to ping: ${ip}"
    if [ "$read" ]; then
        read dummy
    fi
    ping6 -c1 "$ip"
done
